#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    int a,b,x,y;
    cin>>a>>b>>x>>y;
    if(x==a && b==y)
        cout<<"nijedan";
    else if(x<a && y==b)
        cout<<"prvi";
    else if(x==a && y<b)
        cout<<"drugi";
    else 
        cout<<"?";
    return 0;
}